# $Revision: 1.8 $, $Date: 2008/09/18 16:49:08 $
%define		namesrc	configmanager
%include	/usr/lib/rpm/macros.perl
Summary:	Plugin for Cacti - download/upload routers and switches configuration
Summary(pl.UTF-8):	Wtyczka do Cacti - ściąganie/wysyłanie konfiguracji routerów/switchy
Name:		cacti-plugin-configmanager
Version:	0.76
Release:	1
License:	GPL v2
Group:		Applications/WWW
# http://forums.cacti.net/download.php?id=6449
Source0:	%{namesrc}%{version}.zip
# Source0-md5:	d3cdb035a4d47ff464916774dd953457
# http://forums.cacti.net/download.php?id=10980
Source1:	sharednetworkclass0.40.zip
# Source1-md5:	b438751d7b696a10a8958ea6e0f407f3
URL:		http://forums.cacti.net/about12406.html
BuildRequires:	rpm-perlprov
Requires:	cacti
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		webcactipluginroot /usr/share/cacti/plugins/%{namesrc}

%description
With Cacti configmanager plugin you can easily schedule the
download/upload of the configuration of your routers, switches and any
devices (or change in one click some parameters of a hundred of
switches... dangerous but possible now). It should function for all
type of router or switches.

There are two methods:
- "TFTP" (based of "pancho" <http://www.pancho.org/>); with "pure PHP"
  option there is no need of pancho installation
- "multi" can use any scripts or SCP, FTP, SFTP or what you want.

%description -l pl.UTF-8
Przy użyciu wtyczki Cacti configmanager można łatwo zaszeregować
ściąganie lub wysyłanie konfiguracji routerów, switchy i innych
urządzeń (lub zmieniać jednym kliknięciem pewne parametry w setce
switchy... co jest niebezpieczne, ale teraz wykonalne). Wtyczka
powinna działać z dowolnymi routerami i switchami.

Istnieją dwie metody:
- "TFTP" (oparta na "pancho" <http://www.pancho.org/>); z opcją "pure
  PHP" nie ma potrzeby instalacji pancho
- "multi", potrafiąca używać dowolne skrypty lub SCP, FTP, SFTP

%prep
%setup -q -c -a1

# undos the source
find '(' -name '*.php' -o -name '*.inc' ')' -print0 | xargs -0 sed -i -e 's,\r$,,'

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{webcactipluginroot}

cd %{namesrc}%{version}
cp -a * $RPM_BUILD_ROOT%{webcactipluginroot}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc %{namesrc}%{version}/{Manual.txt,template.txt,configmanager_trap_list.txt}
%{webcactipluginroot}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cacti-plugin-configmanager.spec,v $
Revision 1.8  2008/09/18 16:49:08  gotar
- uploaded sources to dropin

Revision 1.7  2008/09/18 16:44:51  gotar
- links to sources from Pawe 'duddits' Dugosz

Revision 1.6  2008/09/18 13:45:43  grzegorz
- up to 0.76

Revision 1.5  2008/01/06 19:18:04  qboosh
- en fixes, pl

Revision 1.4  2007-12-28 00:57:16  wolvverine
- adapterized

Revision 1.3  2007-12-26 13:06:27  glen
- cleanups

Revision 1.2  2007-12-26 05:41:58  wolvverine
- description

Revision 1.1  2007-12-26 05:36:03  wolvverine
- init
